Subject: bug#57826: NetworkManager GUI crashes when setting up eduroam

From: Csepp <[email-masked]>
Date: Wed, 07 Sep 2022 15:06:09 +0200

I have not yet debugged this properly, here is what I know:
When I used nm-applet to fill out the WPA2 enterprise connection
details, nm-applet crashed.
When I tried sudo nm-connection-editor (because I thought it was a
permission error, which is also present, yay) it produced this error:

Trace/breakpoint trap

I will try to strace or gdb it later, but I'd be very thankful if
someone who knows more about GTK looked into it.

System:
Linux hostname 5.18.19-gnu #1 SMP PREEMPT_DYNAMIC 1 i686 GNU/Linux
Generation 11	Sep 05 2022 11:16:22	(current)
  guix 41bce24
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 41bce2414a286836b4071d90b660fb457ee76e32
  nonguix 9563de3
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: 9563de3037f3e41ac3c0e99176047ce73003b0e6